package org.dromara.zhishu.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.zhishu.domain.bo.XyBindBo;
import org.dromara.zhishu.domain.vo.XyBindVo;

public interface IXyBindService {
    XyBindVo queryById(String token);
    TableDataInfo<XyBindVo> queryPageList(XyBindBo bo, PageQuery pageQuery);
    Boolean insertByBo(XyBindBo bo);
    Boolean updateByBo(XyBindBo bo);
    Boolean deleteByToken(String token);
}
